# streamWrapper::dir_opendir

(PHP 4 >= 4.3.2, PHP 5, PHP 7, PHP 8)

streamWrapper::dir_opendir — Abrir un gestor de directorio

### Descripción

public streamWrapper::dir_opendir(string `$path`, int `$options`): bool

Este método es llamado en respuesta a opendir().

### Parámetros

`path`

  Especifica la URL que fue pasada a opendir().

  > Nota:

  > La URL se puede desmontar con parse_url().

`options`

### Valores devueltos

Devuelve `true` en caso de éxito o `false` en caso de error.

### Ver también

- opendir() - Abre un gestor de directorio
- streamWrapper::dir_closedir() - Cerrar un gestor de directorio
- parse_url() - Analiza un URL y devuelve sus componentes